name: Steve Taylor
locality: 
country: Remote
role: <a href="">Area Sales Manager</a>
reports_to: nickchristou
picture: stevetaylor.jpeg
pronouns: he/him
pronunciation:
twitter:
linkedin: steve-taylor35
gitlab: staylor35
departments:
  - Commercial Sales
story: 'Steve joined GitLab following 9 years helping customers reduce risk and increase efficiency. When not helping organizations build secure software faster, Steve can be found walking with his wife, daughter, and black lab, or biking outside.'

